Bug 499509 - rhnsd on Solaris does not regularly check in with Satellite
rhnsd on Solaris does not regularly check in with Satellite
Status: CLOSED WONTFIX
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Solaris (Show other bugs)
530
All Linux
medium Severity medium
: ---
: ---
Assigned To: Sayli Karmarkar
Red Hat Satellite QA List
:
Depends On:
Blocks: 462714 172657
  Show dependency treegraph
 
Reported: 2009-05-06 17:51 EDT by Steve Salevan
Modified: 2014-05-09 05:48 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-09 05:48:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steve Salevan 2009-05-06 17:51:07 EDT
Description of problem:
From my testing, I haven't been able to coax rhnsd into regularly checking in with Satellite.  rhnsd loads and runs in the background successfully, but does not check in with the Satellite.  I decided to run it in the foreground with this command:

rhnsd -v -f -i 1

and, despite being set to check with the Satellite each minute, no checkins were made.

Version-Release number of selected component (if applicable):
530, 5/1 build
rhn-solaris-bootstrap-5.3.0-8-sparc-sol10.tar.gz

output from pkginfo:

utility     RHATossl                     openssl 0.9.7a
utility     RHATpossl                    pyOpenSSL 0.6
utility     RHATpythn                    python 2.4.1
utility     RHATrcfg                     rhncfg 5.1.0
utility     RHATrcfga                    rhncfg-actions 5.1.0
utility     RHATrcfgc                    rhncfg-client 5.1.0
utility     RHATrcfgm                    rhncfg-management 5.1.0
utility     RHATrhnc                     rhnclient 5.3.0
utility     RHATrhnl                     rhnlib 1.8
utility     RHATrpush                    rhnpush 5.3.1
utility     RHATsmart                    smartpm 5.3.0

How reproducible:
Always

Steps to Reproduce:
1. Register a Solaris system to a 530 Satellite
2. Load the SDC for the system
3. kill -9 any running rhnsd process
4. Run: rhnsd -v -f -i 1
5. Reload SDC periodically over the next several minutes

Actual results:
No checkins

Expected results:
Solaris machine checks in each minute via rhnsd

Additional info:
Comment 1 Brandon Perkins 2009-05-07 11:43:03 EDT
Steve, please change the interval to 10 minutes and then check after an hour.  Also, attach the Apache log files to see if the request is ever made.
Comment 2 Steve Salevan 2009-05-19 14:01:05 EDT
Ran:

# rhnsd -f -i 10 -v

on the Solaris 10 machine.  Despite applying the -v option, syslog had no entries from rhnsd.

From what I was able to ascertain, no calls were made to the Satellite XMLRPC handler from the Solaris box.  I've attached all associated Apache logfiles for your consideration as well.
Comment 5 Clifford Perry 2009-05-21 13:37:44 EDT
Steve - choosing not to address this within 530 cycles for Solaris client. Expect this is not a regression and not sure when this was last confirmed and known to work. rhnsd code is very static in nature.

Cliff

Note You need to log in before you can comment on or make changes to this bug.